## org.jfree.data
Class DefaultKeyedValuesDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.DefaultPieDataset
              org.jfree.data.DefaultKeyedValuesDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, KeyedValues, KeyedValuesDataset, java.io.ObjectInputValidation, PieDataset, java.io.Serializable, Values

public class DefaultKeyedValuesDataset
extends DefaultPieDataset
implements KeyedValuesDataset

A default implementation of the `KeyedValuesDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`DefaultKeyedValuesDataset()`

Methods inherited from class org.jfree.data.DefaultPieDataset
`clone, equals, getIndex, getItemCount, getKey, getKeys, getValue, getValue, hashCode, setValue, setValue`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.KeyedValues
`getIndex, getKey, getKeys, getValue`

Methods inherited from interface org.jfree.data.Values
`getItemCount, getValue`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultKeyedValuesDataset

    public DefaultKeyedValuesDataset()